你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux kernel tcp_disconnect拒绝服务漏洞(CVE-2017-14106)

[日期:2017-09-05] 来源:Linux社区  作者:Linux [字体: ]
Linux kernel tcp_disconnect拒绝服务漏洞(CVE-2017-14106)


发布日期:2017-08-31
更新日期:2017-09-05

受影响系统:

Linux kernel < 4.12

描述:


CVE(CAN) ID: CVE-2017-14106

Linux Kernel是Linux操作系统的内核。

Linux kernel < 4.12版本,net/ipv4/tcp.c/tcp_disconnect函数存在安全漏洞,本地用户触发某个tcp_recvmsg代码路径内的链接,造成拒绝服务(__tcp_select_window除零错误及系统崩溃)。

<*来源:vendor
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=499350a5a6e7512d9ed369ed63a4244b6536f4f8
https://github.com/torvalds/linux/commit/499350a5a6e7512d9ed369ed63a4244b6536f4f8

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-09/146750.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款